/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 2; tab-width: 2 -*- */
/* gbf-basic-project.h
 *
 * Copyright (C) 2000  Timothee Besset
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Timothee Besset <ttimo@ttimo.net>
 */

#ifndef _GBF_BASIC_PROJECT_H_
#define _GBF_BASIC_PROJECT_H_

#include <glib-object.h>
#include "gbf-project.h"
#include "glue-plugin.h"

G_BEGIN_DECLS

#define GBF_TYPE_BASIC_PROJECT			(gbf_basic_project_get_type (NULL))
#define GBF_BASIC_PROJECT(obj)			(G_TYPE_CHECK_INSTANCE_CAST ((obj), GBF_TYPE_BASIC_PROJECT, GbfBasicProject))
#define GBF_BASIC_PROJECT_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST ((klass), GBF_TYPE_BASIC_PROJECT, GbfBasicProjectClass))
#define GBF_IS_BASIC_PROJECT(obj)			(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GBF_TYPE_BASIC_PROJECT))
#define GBF_IS_BASIC_PROJECT_CLASS(klass)		(G_TYPE_CHECK_CLASS_TYPE ((obj), GBF_TYPE_BASIC_PROJECT))

typedef struct _GbfBasicProject        GbfBasicProject;
typedef struct _GbfBasicProjectPrivate GbfBasicProjectPrivate;
typedef struct _GbfBasicProjectClass   GbfBasicProjectClass;
typedef struct _GbfBasicBuildCallback  GbfBasicBuildCallback;

struct _GbfBasicProject {
	GbfProject parent;

	GbfBasicProjectPrivate *priv;
};

struct _GbfBasicProjectClass {
	GbfProjectClass parent_class;
};

struct _GbfBasicBuildCallback {
	GbfBuildCallback callback;
	gpointer user_data;
};

GType         gbf_basic_project_get_type (GluePlugin *plugin);
GbfBasicProject *gbf_basic_project_new      (void);

G_END_DECLS

#endif /* _GBF_AM_PROJECT_H_ */
